cURL
curl --request GET \
--url https://app.teable.ai/api/space/%7BspaceId%7D/base \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>",
"icon": "<string>",
"createdBy": "<string>",
"restrictedAuthority": true,
"enabledAuthority": true,
"lastModifiedTime": "<string>",
"createdTime": "<string>",
"template": {
"id": "<string>",
"headers": "<string>"
},
"createdUser": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"isCanary": true
}
]base
Get space base
Get base list by query
GET
/
space
/
{spaceId}
/
base
cURL
curl --request GET \
--url https://app.teable.ai/api/space/%7BspaceId%7D/base \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>",
"icon": "<string>",
"createdBy": "<string>",
"restrictedAuthority": true,
"enabledAuthority": true,
"lastModifiedTime": "<string>",
"createdTime": "<string>",
"template": {
"id": "<string>",
"headers": "<string>"
},
"createdUser": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"isCanary": true
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Returns the list of base.
Available options:
owner, creator, editor, commenter, viewer Available options:
space, base Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

